﻿

@model IEnumerable<OperationalRiskException.Core.ViewModels.AssessmentReport>

@{
    ViewBag.Title = "Report";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";

}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Operational Risk &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Report List</p>
                </div>
            </div>

        </div>
    </div>
</div>



<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Champions Assessment
                </p>
                <div class="form-group col-md-12 justify-content-end mt-3 mr-5 mb-3">
                    <a  href ="@Url.Action("DownnloadReport", "Report")" class="btn btn-success pull-right">Download View</a>
                </div>
                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead class="table-dark">
                            <tr>
                                <th>
                                    Username
                                </th>

                                <th>
                                    Sol ID
                                </th>

                                <th>
                                    Department
                                </th>

                                <th>
                                    Date Created
                                </th>

                                <th>
                                    Approval Date
                                </th>
                                <th>
                                    Approved By
                                </th>
                                <th>
                                    Rejected By
                                </th>
                                <th>
                                    Reject Date
                                </th>
                                <th>
                                    Approval Status
                                </th>


                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                                <tr>
                                    <td>@items.Username</td>
                                    <td>@items.SOLID</td>
                                    <td>@items.Department</td>
                                    <td>@items.DateCompleted</td>
                                    <td>@items.ApprovedDate</td>
                                    <td>@items.ApprovedBy</td>
                                    <td>@items.RejectedBy</td>
                                    <td>@items.RejectedDate</td>
                                    <td>@items.ApprovalStatus</td>


                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>











<script type="text/javascript">

     $(document).ready(function () {
        $("#myTable").DataTable();
    });



    function ExportToExcel(tag) {
        debugger;
        var htmltable = document.getElementById(tag);
        var html = htmltable.outerHTML;
        window.open('data:application/vnd.ms-excel,' + encodeURIComponent(html));
    };
</script>
